@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color:#f6f6f6;
}

#navbar{
    position: sticky;
    z-index: 1;
    top:0;
}

.navbar{
    display: flex;
    width: 100%;
    background-color: #FFDEAD;
}

.navbar-brand{
    margin-left: 7.5%;
}

.links > li a{
    position: relative;
    left: 100%;
    color: initial;
    text-decoration: none;
    padding: 0 1.2rem;
    font-size: 1rem;
    font-weight: 400;
}

.search{
    /* justify-content: space-between; */
    margin-right: 8.5%;
    width:50%;
    padding: 0.4rem;
    border: none;
    border-radius: 0.3rem;
}

.search input{
    margin-left: 120px;
}


.main{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    font-size: 24px;
    font-family: 'Lato', sans-serif;
    padding: 0 8%;
}

.card{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 23%;
    background-color: white;
    border-radius: 1rem;
    margin: 2% 0 1% 0;
}


.image{
    height: 72%;
    display: flex;
    justify-content: center;
    align-content: center;
    padding: 16%;
}

.image> img{
    object-fit: contain;
    width:80%
}


.title{
    padding: 2% 0;
    margin-left: 10%;
    width:60%;
    font-size: 1.1rem;
    font-weight: 400;
    text-overflow:ellipsis;
    overflow:hidden;
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  
}

p{
    margin-bottom: 0;
}

.labels{
    padding: 4% 10% 2% 10%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    background-color: #FAEBD7;
    border-radius: 0 0 1rem 1rem;

}

.rating{
    display: flex;
}

.labels > :nth-child(1){
    font-size: 1rem;
}

.star{
    width: 20px;
    height: 20px;
    align-self: center;
    margin: 0 12px 24px 8px;
}

.rating > p{
    font-size: 0.9rem;
}

#form{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.form-control{
    width:500px;
    margin:0.4rem
}

.add-item{
    padding:2% 0;
    background-color: #F5FFFA;
}

.add-button{
    background-color: #DEB887;
    border: none;
}

.footer{
    padding: 2% 8%;
    background-color: #808080;
    display: flex;
    justify-content: space-between;

}

.footer > :nth-child(1){
    color: white;
    align-self: center;
}

.footer > div > p a {
    text-decoration: none;
    color: white;
    font-weight: 400;
}

@media (max-width: 480px){
    .main{
        font-size: 12px;
    }

    .links > li a{
        left: 35%;
    }

    .search input{
        margin-left: 0;
    }

    .search{

        margin-right: 10%;
        width:100%;
        padding: 0.4rem;
        border: none;
        border-radius: 0.3rem;
    }


    .title{
        font-size: 0.6rem;
    }

    .labels > :nth-child(1){
        font-size: 0.6rem;
    }

    .rating > p{
        font-size: 0.5rem;
    }

    .star{
        width: 12px;
        height: 12px;
        align-self: center;
        margin: 0 6px 4px 4px;
    }

    #form{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    .form-control{
        width:100%;
        margin:0.4rem
    }
    
    .add-item{
        padding:2% 0;
        background-color: #F5FFFA;
    }
    
    .add-button{
        background-color: #DEB887;
        border: none;
    }

    .card{
        width: 48%;
    }

    .footer{
        flex-direction: column;
        align-items: center;
    }

    .footer > div{
        margin: 2% 0;
        text-align: center;
    }
}